Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs	(revision 35)
@@ -1,5 +1,6 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Collections;
 using System.ComponentModel;
 using System.Data;
 using System.Drawing;
@@ -23,92 +24,75 @@
         #endregion
 
         #region 定数
-        private enum Dispcount
+        private enum GridColumns
         {
-            ExeCuteDate = 0,
-            ProgressStatusA,
-            ProgressStatusB,
-            radioButtonA1,
-            radioButtonA2,
-            radioButtonA3,
+            No = 0,
+            ExpCode,
+            ExpName,
+            ExpParcent,
+            ExpPrice,
         }
         #endregion
 
         #region 変数
+
+        #region 動作抑制フラグ
         /// <summary>
-        /// 終了状態フラグ
+        /// 動作抑制フラグ
         /// </summary>
-        private DialogResult m_EndButton = DialogResult.None;
-        
-        /// <summary>
-        /// 工事番号
-        /// </summary>
-        private int m_ConstructionCode = 0;
+        private bool m_bProcLockFlag = true;
+        #endregion
 
+        #region データ変更フラグ
         /// <summary>
-        /// 選択日付フラグ
+        /// データ変更フラグ
         /// </summary>
-        private int m_SelectDateFlg = 0;
+        private bool m_bDataChange = false;
+        #endregion
 
+        #region 終了状態フラグ
         /// <summary>
-        /// 対象日付フラグ
+        /// 終了状態フラグ
         /// </summary>
-        private bool m_StartDateFlg = true;
+        private DialogResult m_EndButton = DialogResult.None;
+        #endregion
 
+        #region 受注金額
         /// <summary>
-        /// 実行時日付
+        /// 受注金額
         /// </summary>
-        private DateTime m_ExcuteDate = DateTime.Now;
-        
-        /// <summary>
-        /// コンロールオブジェクト
-        /// </summary>
-        private Control[] m_dispControl = new Control[9];
+        private object m_OrdersPrice = 0;
+        #endregion
 
+        #region グリッド表示データ
         /// <summary>
-        /// 工事基本情報
+        /// グリッド表示データ
         /// </summary>
-        private ConstructionBaseInfo m_ConstructionBaseInfo = new ConstructionBaseInfo();
-        /// <summary>
-        /// ツールチップ
-        /// </summary>
-        private ToolTip ToolTip1 = new ToolTip();
+        private ArrayList m_GridData;
         #endregion
 
+        #endregion
+
         #region プロパティ
         /// <summary>
-        /// 工事番号
+        /// 受注金額
         /// </summary>
-        public int ConstructionCode
+        public object OrdersPrice
         {
-            get { return m_ConstructionCode; }
-            set { m_ConstructionCode = value; }
+            get { return m_OrdersPrice; }
+            set { m_OrdersPrice = value; }
         }
+
         /// <summary>
-        /// 選択日付フラグ
+        /// グリッド表示データ
         /// </summary>
-        public int SelectDateFlg
+        public ArrayList GridData
         {
-            get { return m_SelectDateFlg; }
-            set { m_SelectDateFlg = value; }
+            get { return m_GridData; }
+            set { m_GridData = value; }
         }
+
         /// <summary>
-        /// 対象日付フラグ
-        /// </summary>
-        public bool StartDateFlg
-        {
-            get { return m_StartDateFlg; }
-            set { m_StartDateFlg = value; }
-        }
-        /// <summary>
-        /// 実行時時間
-        /// </summary>
-        public DateTime ExcuteDate
-        {
-            get { return m_ExcuteDate; }
-            set { m_ExcuteDate = value; }
-        }
-        /// <summary>
         /// 終了ボタン状態
         /// </summary>
         public DialogResult EndButton
@@ -117,18 +101,6 @@
         }
         #endregion
 
-        #region ×ボタン
-        /// <summary>
-        /// ×ボタン押下処理
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void FrmChangeExpenses_FormClosed(object sender, FormClosedEventArgs e)
-        {
-            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
-        }
-        #endregion
-
         #region コンストラクタ
         /// <summary>
         /// フォーム初期化
@@ -150,28 +122,37 @@
             // フォームサイズ固定
             this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
          
-            // コントロールのセット
-            SetDisplayObject();
-            
             // 初期表示
             InitDataLoad();
+
+            m_bProcLockFlag = false;
         }
         #endregion
 
-        #region キャンセルボタン
+        #region ×ボタン押下
         /// <summary>
-        /// キャンセルボタン追加
+        /// ×ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnCancel_Click(object sender, EventArgs e)
+        private void FrmChangeExpenses_FormClosing(object sender, FormClosingEventArgs e)
         {
-            m_EndButton = DialogResult.Cancel;
-            this.Close();
+            if (m_bDataChange)
+            {
+
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+
+            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
         }
         #endregion
 
-        #region 変更ボタン
+        #region 変更ボタン押下
         /// <summary>
         /// 変更ボタン押下
         /// </summary>
@@ -179,64 +160,54 @@
         /// <param name="e"></param>
         private void btnExecProc1_Click(object sender, EventArgs e)
         {
-            // 選択日付
-            if (radioButton1.Checked)
-            {
-                m_SelectDateFlg = (int)CommonDefine.SelectConstructioDate.Agreement;
-                // 選択日付取得
-                m_ExcuteDate = CommonMotions.cnvDate(label1.Text);
-            }
-            else if (radioButton2.Checked)
-            {
-                m_SelectDateFlg = (int)CommonDefine.SelectConstructioDate.Estimates;
-                // 選択日付取得
-                m_ExcuteDate = CommonMotions.cnvDate(label2.Text);
-            }
-            else if (radioButton3.Checked)
-            {
-                m_SelectDateFlg = (int)CommonDefine.SelectConstructioDate.InputDate;
-                // 選択日付取得
-                m_ExcuteDate = dateTimePicker1.Value;
-            }
+            // 表示データ取得
+            GetDspData();
 
-            m_EndButton = DialogResult.Yes;
+            m_EndButton = DialogResult.OK;
+            m_bDataChange = false;
 
             this.Close();
         }
         #endregion
 
-        #region ラジオボタンチェック変更
+        #region 終了ボタン押下
         /// <summary>
-        /// ラジオボタンチェック変更
+        /// 終了ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        private void btnEnd_Click(object sender, EventArgs e)
         {
-            if (radioButton3.Checked)
-            {
-                dateTimePicker1.Visible = true;
-            }
-            else
-            {
-                dateTimePicker1.Visible = false;
-            }
+            m_EndButton = DialogResult.Cancel;
+            
+            this.Close();
         }
         #endregion
 
-        #region オブジェクトコントロールセット
+        #region 経費行作成ボタン押下
         /// <summary>
-        /// 表示オブジェクトの取得
+        /// 経費行作成ボタン押下
         /// </summary>
-        private void SetDisplayObject()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnLineCreate_Click(object sender, EventArgs e)
         {
-            m_dispControl[(int)Dispcount.ExeCuteDate] = dateTimePicker1;
-            m_dispControl[(int)Dispcount.radioButtonA1] = radioButton1;
-            m_dispControl[(int)Dispcount.radioButtonA2] = radioButton2;
-            m_dispControl[(int)Dispcount.radioButtonA3] = radioButton3;
+
         }
         #endregion
 
+        #region 経費行削除ボタン押下
+        /// <summary>
+        /// 経費行削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnLineRemove_Click(object sender, EventArgs e)
+        {
+
+        }
+        #endregion
+
         #region 表示関連
         /// <summary>
         /// 初期表示処理
@@ -245,10 +216,12 @@
         {
             try
             {
-                if (!DisplayData())
+                // 受注金額表示
+                lblTotal.Text = CommonMotions.cnvString(m_OrdersPrice).Replace("\\","");
+                // グリッド表示
+                foreach (object[] CurRec in m_GridData)
                 {
-                    m_EndButton = DialogResult.Cancel;
-                    this.Close();
+                    dgvMaster.Rows.Add(CurRec);
                 }
             }
             catch (Exception ex)
@@ -255,70 +228,123 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                if (dgvMaster.RowCount <= 3) dgvMaster.Rows.Add(4 - dgvMaster.RowCount);
+            }
         }
         #endregion
 
-        #region データ表示処理
+        #region セル値変化時
         /// <summary>
-        /// データ表示
+        /// セル値変化時
         /// </summary>
-        /// <returns></returns>
-        private bool DisplayData()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
-            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            bool bSave = m_bProcLockFlag;
             try
             {
-                bool bRet = true;
+                if (m_bProcLockFlag) return;
 
-                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+                m_bProcLockFlag = true;
 
-                // 対象日付の指定
-                List<DateTime> TargetDate = new List<DateTime>();
-                if (m_StartDateFlg)
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow dgvRow = dgv.CurrentRow;
+                DataGridViewCell dgvCell = dgv.CurrentCell;
+
+                // 値取得
+                double dOrders = CommonMotions.cnvDouble(lblTotal.Text);
+                double dParcent = CommonMotions.cnvDouble(dgvRow.Cells[(int)GridColumns.ExpParcent].Value);
+                double dPrice = CommonMotions.cnvDouble(dgvRow.Cells[(int)GridColumns.ExpPrice].Value);
+
+                switch (dgvCell.ColumnIndex)
                 {
-                    TargetDate.Add(m_ConstructionBaseInfo.ConstructionPeriodStart);
-                    //TargetDate.Add(m_ConstructionBaseInfo.ConstructionStartingDate);
-                    TargetDate.Add(m_ConstructionBaseInfo.StartDate);
+                    case (int)GridColumns.ExpParcent:
+                        dPrice = (dParcent / 100.0) * dOrders;
+                        break;
+                    case (int)GridColumns.ExpPrice:
+                        if (dOrders != 0) dParcent = dPrice / dOrders * 100.0;
+                        else dParcent = 0;
+                        break;
                 }
-                else
-                {
-                    TargetDate.Add(m_ConstructionBaseInfo.ConstructionPeriodEnd);
-                    //TargetDate.Add(m_ConstructionBaseInfo.ConstructionCompletionDate);
-                    TargetDate.Add(m_ConstructionBaseInfo.EndDate);
-                }
-                TargetDate.Add(DateTime.Now);
 
-                // 日付表示
-                if (TargetDate[0] != DateTime.MinValue) label1.Text = TargetDate[0].ToShortDateString();
-                if (TargetDate[1] != DateTime.MinValue) label2.Text = TargetDate[1].ToShortDateString();
-                if (m_ExcuteDate == DateTime.MinValue) dateTimePicker1.Value = DateTime.Now;
-                else dateTimePicker1.Value = m_ExcuteDate;
+                // 表示変更
+                dgvRow.Cells[(int)GridColumns.ExpParcent].Value = dParcent.ToString("0.00");
+                dgvRow.Cells[(int)GridColumns.ExpPrice].Value = CommonMotions.cnvRoundUp(dPrice).ToString("#,0");
 
-                // 選択日付セット
-                if (m_ExcuteDate == TargetDate[0])
+                m_bDataChange = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_bProcLockFlag = bSave;
+            }
+        }
+        #endregion
+
+        #region 編集前処理
+        /// <summary>
+        /// 編集前処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellEnter(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvMaster;
+                //IMEのモードを変更する
+                switch (e.ColumnIndex)
                 {
-                    radioButton1.Checked = true;
+                    default:
+                        dgv.ImeMode = ImeMode.Disable;
+                        break;
                 }
-                else if (m_ExcuteDate == TargetDate[1])
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッドデータ取得
+        /// <summary>
+        /// グリッドデータ取得
+        /// </summary>
+        private void GetDspData()
+        {
+            try
+            {
+                m_GridData.Clear();
+                DataGridView dgv = dgvMaster;
+                for (int i = 0; i < dgv.RowCount; i++)
                 {
-                    radioButton2.Checked = true;
+                    DataGridViewRow CurRow = dgv.Rows[i];
+
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumns.ExpCode].Value) == 0) continue;
+
+                    object[] DataRec = new object[] { CurRow.Cells[(int)GridColumns.No].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpCode].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpName].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpParcent].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpPrice].Value
+                    };
+                    m_GridData.Add(DataRec);
                 }
-                else
-                {
-                    radioButton3.Checked = true;
-                }
-
-                return bRet;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
-                cbDB.close(); cbDB = null;
+                if (dgvMaster.RowCount <= 3) dgvMaster.Rows.Add(4 - dgvMaster.RowCount);
             }
         }
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.Designer.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.Designer.cs	(revision 35)
@@ -51,6 +51,7 @@
             this.label2 = new System.Windows.Forms.Label();
             this.label3 = new System.Windows.Forms.Label();
             this.label5 = new System.Windows.Forms.Label();
+            this.lblCellTotal = new System.Windows.Forms.Label();
             this.dgvMain = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column14 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -62,7 +63,6 @@
             this.dataGridViewTextBoxColumn6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.lblCellTotal = new System.Windows.Forms.Label();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMain)).BeginInit();
@@ -198,6 +198,18 @@
             this.label5.Text = "第";
             this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // lblCellTotal
+            // 
+            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.lblCellTotal.AutoSize = true;
+            this.lblCellTotal.BackColor = System.Drawing.Color.Black;
+            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblCellTotal.ForeColor = System.Drawing.Color.White;
+            this.lblCellTotal.Location = new System.Drawing.Point(200, 559);
+            this.lblCellTotal.Name = "lblCellTotal";
+            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
+            this.lblCellTotal.TabIndex = 53;
+            // 
             // dgvMain
             // 
             this.dgvMain.AllowUserToAddRows = false;
@@ -371,18 +383,6 @@
             this.Column8.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column8.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             // 
-            // lblCellTotal
-            // 
-            this.lblCellTotal.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.lblCellTotal.AutoSize = true;
-            this.lblCellTotal.BackColor = System.Drawing.Color.Black;
-            this.lblCellTotal.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lblCellTotal.ForeColor = System.Drawing.Color.White;
-            this.lblCellTotal.Location = new System.Drawing.Point(200, 559);
-            this.lblCellTotal.Name = "lblCellTotal";
-            this.lblCellTotal.Size = new System.Drawing.Size(0, 13);
-            this.lblCellTotal.TabIndex = 53;
-            // 
             // FrmPriceOfBudget
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -401,6 +401,7 @@
             this.Name = "FrmPriceOfBudget";
             this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.Text = "未作成台帳確認";
             this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
             this.groupBox1.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).EndInit();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 35)
@@ -174,6 +174,9 @@
         {
             if (m_initDataLoad) return;
 
+            // 担当者選択時部署選択を設定する
+            SetPerosonToDepartment();
+
             // データ表示
             DispData();
         }
@@ -707,7 +710,7 @@
                 string strSQL = string.Empty;
                 // 部署マスタを検索する
                 strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
-                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C, CONSTRUCTIONBUDGET D";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
                 // 新セキュリティデータ対応済みかを確認する
@@ -724,17 +727,19 @@
                 }
                 else
                 {
-                    // セキュリティ範囲によってアクセスを制限する
-                    if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRangePos.Only].Key
-                        || CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRangePos.None].Key)
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
                     {
-                        // 自部署のみと部署参照無
-                        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+
                     }
+                    else
+                    {
+                        // 参照部署マスタより取得する
+                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    }
                 }
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
                 strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
-                strSQL += " AND D.CONSTRUCTIONCODE = C.CONSTRUCTIONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
                 strSQL += " ORDER BY A.DISPLAYORDER ASC";
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 35)
@@ -327,8 +327,8 @@
                 cmbJapaneseSyllabary.SelectedIndex = -1;
                 cmbLabour.SelectedIndex = -1;
 
-                string strSQL = " Where CompanyCode In (Select CompanyCode From SUBCONTRACTORJOBLINK";
-                strSQL += string.Format("  Where JobCategoryCode = {0})", CommonMotions.cnvInt(cmbIJobType.SelectedValue));
+                string strSQL = " Where CompanyCode In (Select A1.CompanyCode From SUBCONTRACTORJOBLINK A1";
+                strSQL += string.Format("  Where A1.JobCategoryCode = {0})", CommonMotions.cnvInt(cmbIJobType.SelectedValue));
                 strSQL += " Order By DisplayOrder";
                 // データ表示
                 DispMasterGridData(strSQL);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 35)
@@ -508,7 +508,7 @@
                 int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
                 if (Value < 1) return string.Empty;
 
-                return string.Format(" CompanyCode In (Select CompanyCode From SubContractorJobItem Where ItemCode = {0})",
+                return string.Format(" CompanyCode In (Select A1.CompanyCode From SubContractorJobItem A1 Where A1.ItemCode = {0})",
                                 CommonMotions.cnvInt(cmbItemType.SelectedValue));
 
             }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 35)
@@ -197,9 +197,11 @@
             {
                 dgvMaster.Rows.Clear();
 
+                int iCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
                 // 進行中案件をを検索する
                 string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B";
                 strSQL += string.Format(" WHERE TRUNC(A.CONSTRUCTIONCODE / 100) = {0}", CommonMotions.cnvTruncate(m_ConstructionCode / 100));
+                strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode);
                 strSQL += string.Format(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strSQL += " ORDER BY A.CONSTRUCTIONCODE";
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmLogin.cs	(revision 35)
@@ -375,13 +375,6 @@
                 if (cmbUserList.Text.Length == 0 && LoginPassString.Equals(CommonDefine.AdminPass))
                 {
                     CommonMotions.LoginUserData.PersonCode = CommonDefine.AdminCode;
-                    CommonMotions.LoginUserData.PersonName = CommonDefine.AdminUser;
-                    CommonMotions.LoginUserData.PassWord = CommonDefine.AdminPass;
-                    CommonMotions.LoginUserData.SecurityManagement = CommonDefine.AdminSecurityManagement;
-                    CommonMotions.LoginUserData.SecCode = CommonDefine.AdminSecurityManagement;
-
-                    CommonMotions.LoginUserSecurity.SecRank = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.FreeAuthority].Key;
-                    CommonMotions.LoginUserSecurity.SecRange = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key;
                     return true;
                 }
 
